package com.app.camel.stuffs;

import java.util.HashMap;
import java.util.Map;

import org.apache.camel.Exchange;
import org.apache.camel.Processor;

import com.app.entities.Test;

public class TransactionMessageTranslator implements Processor {
	
	public void process(Exchange exchange) throws Exception {
		Test t = exchange.getIn().getBody(Test.class);
		Map<String, Object> map = new HashMap<String, Object>(1);
		map.put("Id: ", t.getId());
		map.put("text: ", t.getText());
		exchange.getIn().setBody(map);
		System.out.println("Procesed the Test Entity following Id:");
		System.out.println("[Id: " + t.getId() + " Text: " + t.getText() + "]");		
	}	
}
