package com.app.entities;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "jpatest")
public class Test implements java.io.Serializable  {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	private Integer Id;
	
	@Basic(fetch = FetchType.EAGER)
	@Column (name="Text", nullable=true, length=20)
	private String text;
	
	public Test(){}
	
	public Test(int id){
		this.Id = id;
	}
	
	public Integer getId(){
		return Id;
	}
	
	public String getText(){
		return text;
	}
	
	public void setText(String text){
		this.text = text;
	}
}
